/*cdGetPres routine to query results and return pressure of last zone */
#include "cddefines.h"
#include "pressure.h"
#include "cddrive.h"

void cdGetPres(
		double *PresTotal,  /* total pressure, all forms*/
		double *PresGas, /* gas pressure */
		double *PresRad) /* radiation pressure */
{

#	ifdef DEBUG_FUN
	fputs( "<+>cdGetPres()\n", debug_fp );
#	endif

	*PresGas = pressure.GasPres;
	*PresRad = pressure.RadPres;
	*PresTotal = pressure.GasPres + pressure.RadPres;

#	ifdef DEBUG_FUN
	fputs( " <->cdGetPres()\n", debug_fp );
#	endif
	return;
}
