/* punchvar.h */
#define	LIMPUN	100L

EXTERN struct t_pnunit {

	/* this is the file where we will direct the output */
	FILE*ipPnunit[LIMPUN]; 

	/* number of punch commands entered */
	long int npunch;

	/* flag saying whether any punch continuum commands were entered
	 * set true in parsecontinuum when punch continuum entered,
	 * used in PrtComment to warn if continuum punched with no iterations */
	int lgPunContinuum;

	/* punarg is set of optional arguments for the punch command */
	float punarg[3][LIMPUN];

	/* lg flag lgPunLstIter for this punch option, */
	/* do we only want to punch on last iteration? */
	int lgPunLstIter[LIMPUN];

	/* option to append instead of overwrite */
	int lgNoClobber[LIMPUN];

	/* option to say whether punch units should be opened,
	 * set to false during optimizer runs, but not on the final model */
	int lgOpenUnits;

	/*chPunch - what is it we want to punch? set in GetPunch, used in DoPunch */
	char chPunch[LIMPUN][5];

	/*chConPunEnr - units of continuum in punch output */
	char chConPunEnr[LIMPUN][5];

	/* this is pointer for above */
	long int ipConPunEnr;

	}	pnunit;

