/*pllabels punch all labels and wavelengths for emission line array */
#include "cddefines.h"
#include "linesave.h"
#include "pllabels.h"

void pllabels(FILE * io)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>pllabels()\n", debug_fp );
#	endif

	for( i=0; i < LineSave.nsum; i++ )
	{
		/* this format chosen to be identical to that used by final */
		fprintf( io, "%s %li\n", LineSv[i].chALab, LineSv[i].lin );
	}

#	ifdef DEBUG_FUN
	fputs( " <->pllabels()\n", debug_fp );
#	endif
	return;
}

