/* trace.h */

EXTERN struct t_trace {
	int lgTrace;

	/* lgTraceInput is set TRUE if the key TRACE occurs in the input stream*/
	int lgTraceInput;

	long int nznbug, 
	  npsbug;

	int lgHeavyBug, 
	  lgTrConvg, 
	  lgTrLevN, 
	  lgPointBug, 
	  lgComBug, 
	  lgNeonBug, 
	  lgTrLine, 
	  lgFeBug, 
	  lgOptcBug, 
	  lgTrace3Bod, 
	  lgTrMole, 
	  lgHeatBug, 
	  lgTrGant, 
	  lgDrBug, 
	  lgTrOptm, 
	  lgTrDiff, 
	  lgTr8446, 
	  lgOpacBug, 
	  lgDustBug, 
	  lgHeBug, 
	  lgHe1Bug, 
	  lgHe2Bug, 
	  lgHe3Bug, 
	  lgHBug, 
	  lgHBugFull;

	long int ipZTrace;

	int lgCalBug, 
	  lgCarBug, 
	  lgConBug, 
	  lgOTSBug, 
	  lgBug2nu, 
	  lgCoolTr, 
	  lgNeBug;

	int lgPtrace;
	}	trace;

/*
 *nznbug zone to turn on trace, set by trace command, npsbug is iteratoin number
 *
 *flag set to true by trace heavy command
 *trace convergence
 *
 *     flag to indicate level of detail in trace, now only in trace convergence
 *
 *flag set with trace leveln command, for n level atom
 *
 *flag set with trace pointers command
 *
 *trace compton flag
 *
 *flag set with trace neon command
 *
 *flag set with trace line command
 *
 *flag set with trace iron bug
 *
 *flag set if negative opacities every occured
 *
 *trace 3 body recombination routines, trace three body
 *
 *flag set with trace molecules command
 *
 *flag set by trace heating command
 *
 *flag set with trace gaunt command
 *
 *flag set with trace dr command
 *
 *flag set with trace optimizer command
 *
 *flag set with trace difuse fields command
 *
 *flag set with trace beta command
 *
 *flag set with trace opacity
 *
 *flag set with trace grains command
 *
 *flags set with trace helium (lgHeBug)
 *lgHe1Bug is singlets or atom
 *lgHe2Bug is helium ion
 *lgHe3Bug is triplet
 *
 *lgHBug set with trace hydrogen command
 *hfull set with trace hydrogen full command
 *ipZTrace is atomic number for hydrogenic species with trace
 *
 *trace caldium atom flag
 *
 *trace carbon flag
 *
 *flag set with trace continuum command
 *
 *flag set with trace ots command
 *
 *flag set with trace two photon command
 *
 *flag set with trace cooling
 *
 *set true if trace eden is entered
 *
 *flag set with drive pointers command
 *
 */
